Bug 664353 - Maximum number of clients reached (/usr/libexec/gnome-screensaver-gl-helper:1371): WARNING **: Cannot open display:
Maximum number of clients reached (/usr/libexec/gnome-screensaver-gl-helper:1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
13
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-19 22:22 EST by Wendell Baker
Modified: 2011-06-27 08:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 08:58:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
actuality from a tail of ~/.xsession-errors showing "Maximum number of clients reached (7.25 KB, application/octet-stream)
2010-12-19 22:22 EST, Wendell Baker
no flags Details

  None (edit)
Description Wendell Baker 2010-12-19 22:22:00 EST
Description of problem:

I was working on a desktop with a lot of open windows (many evince documents, many gnome-terminals etc.).  There is a known hard limit on the number of clients that an X server can support

The issue here is that if the screen lock kicks in as you cross that boundary then you will never be able to unlock the screen.   The screen flickers briefly with mouse motion or with keyboard events, but the dialog box to request your password is never presented.

The workaround is to login on another vt or via ssh and kill gnome-screensaver.

Summarizing:
If you are near the maximum number of X clients
AND you let your screen go idle with gnome-screensaver kicking in to lock the screen
THEN you may be at a situation where you can't ever unlock the screen.

Version-Release number of selected component (if applicable):

gnome-screensaver-2.30.0-2.fc13.i686


How reproducible:

yes

Steps to Reproduce:
1. move to the limit of clients to the X server (use evince on separate documents)
2. arrive at the point where one more client be over the line
3. allow the screen saver to lock the screen
4. attempt to unlock
5. see ~/.xsession-errors
  
Actual results:

$ tail ~/.xsession-errors
...trimming (this ~/.xsession-errors is 30+MB big now) ...
Maximum number of clients reached
** (/usr/libexec/gnome-screensaver-gl-helper:1371): WARNING **: Cannot open display: 
(gnome-screensaver:22765): GdkPixbuf-CRITICAL **: gdk_pixbuf_format_get_name: assertion `format != NULL' failed


Expected results:

It would be super swell if the desktop system could reserve one more connection to the X server for this residual emergency.  A popup explaining the problem and offering some sort of crude remediation (i.e. killing off something) seems indicated.  Of course there is a security concern with enabling this feature on a "locked" screensaver.


Additional info:


The workaround is "don't do that" i.e. run fewer processes, clean up those evince processes.


Separate background context that may be useful here.

https://bugs.freedesktop.org/show_bug.cgi?id=9209
Xlib: Maximum number of clients reached 
Reported:  	2006-11-30 14:32 PST by Steve Condas
Modified: 	2010-08-02 20:59 PDT (History) 


Often in a GNOME environment when one hits the limit (I've done this several times before) one gets messaging in ~/.xsession-errors reminding one of the incident.

[from a separate incident]

$ tail ~/.xsession-errors
Maximum number of clients reachedXOpenDisplay() failed
Maximum number of clients reachedFailed to parse arguments: Cannot open display: 
Maximum number of clients reachedFailed to parse arguments: Cannot open display: 
Window manager warning: last_user_time (3215845144) is greater than comparison timestamp (3168565031).  This most likely represents a buggy client sending inaccurate timestamps in messages such as _NET_ACTIVE_WINDOW.  Trying to work around...
Window manager warning: 0x1529d29 (Run Applic) appears to be one of the offending windows with a timestamp of 3215845144.  Working around...
Maximum number of clients reachedFailed to parse arguments: Cannot open display: 
Maximum number of clients reachedFailed to parse arguments: Cannot open display:
Comment 1 Wendell Baker 2010-12-19 22:22:56 EST
Created attachment 469666 [details]
actuality from a tail of ~/.xsession-errors showing "Maximum number of clients reached
Comment 2 Bug Zapper 2011-05-30 08:34:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 12:02:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2011-06-27 08:58:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.